petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCISSetSubdomainDiagonalScaling

Set diagonal scaling for PCIS.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCISSetSubdomainDiagonalScaling(PC pc, Vec scaling_factors)

Not collective Many br

### Input Parameters

| pc | - the preconditioning context Many br
| scaling_factors | - scaling factors for the subdomain Many br

Many br

### Notes

Intended to use with jumping coefficients cases. Many br

### See Also

PCBDDC

Level:intermediate
Location:src/ksp/pc/impls/is/pcis.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages